Subject: Re: bug#65763: Error opening a file from a Git working directory if Git is not installed

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Sep 2023 05:25:50 +0300

> From: Paul Pogonyshev <[email-masked]>
> Date: Tue, 5 Sep 2023 22:14:15 +0200
> Cc: [email-masked]
> 
> Ah, `debug-on-error' makes `with-demoted-errors' not demote it.

Yes, exactly.

> It seems in my case `debug-on-error' is let-bound in `ert--run-test-internal'. I.e. when file is failed to be
> opened inside a ERT-based test, there is no warning, it's a hard error. I happen to run ERT tests
> inside a Docker container.
> 
> I'm not sure if it is a bug, but it does cause problems.

Are the problems it causes happen only when debug-on-error is non-nil
for some reason?  Or did you see it cause problems in other cases as
well?